Bug 724909 - rsync now needs username
rsync now needs username
Status: CLOSED DUPLICATE of bug 724041
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.7
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Vitek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-22 05:44 EDT by Christian Rose
Modified: 2015-03-04 18:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-23 06:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2011-07-22 05:44:46 EDT
Description of problem:

The following used to work in RHEL 5.6 and below:

[root@host-2 ~]# /usr/bin/rsync --archive --one-file-system --numeric-ids --delete --quiet LOCALDIR host-1:REMOTEDIR
[root@host-2 ~]#

However, after updating to RHEL 5.7, the commandline above no longer works.


How reproducible:

Always.

  
Actual results:

Results after updating to RHEL 5.7:

[root@host-2 ~]# /usr/bin/rsync --archive --one-file-system --numeric-ids --delete --quiet LOCALDIR host-1:REMOTEDIR
usage: ssh [-1246AaCfgkMNnqsTtVvXxY] [-b bind_address] [-c cipher_spec]
           [-D [bind_address:]port] [-e escape_char] [-F configfile]
           [-i identity_file] [-L [bind_address:]port:host:hostport]
           [-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
           [-R [bind_address:]port:host:hostport] [-S ctl_path]
           [-w tunnel:tunnel] [user@]hostname [command]
rsync: connection unexpectedly closed (0 bytes received so far) [sender] rsync error: unexplained error (code 255) at io.c(600) [sender=3.0.6]
[root@host-2 ~]#


Expected results:

[root@host-2 ~]# /usr/bin/rsync --archive --one-file-system --numeric-ids --delete --quiet LOCALDIR host-1:REMOTEDIR
[root@host-2 ~]#


Additional info:

If I add the username option, and specify root@ before the hostname, it works:

[root@host-2 ~]# /usr/bin/rsync --archive --one-file-system --numeric-ids --delete --quiet LOCALDIR root@host-1:REMOTEDIR
[root@host-2 ~]#

However, "man rsync" still claims the username option should be optional:

"Access via remote shell:
   Pull: rsync [OPTION...] [USER@]HOST:SRC... [DEST]
   Push: rsync [OPTION...] SRC... [USER@]HOST:DEST"

...but it seems now it isn't.
Comment 1 Akemi Yagi 2011-07-22 18:28:53 EDT
This is a duplicate of #724041.
Comment 2 Tomas Hoger 2011-07-23 06:20:38 EDT

*** This bug has been marked as a duplicate of bug 724041 ***

Note You need to log in before you can comment on or make changes to this bug.